Loading...
Searching...
No Matches
D3D12_UNORDERED_ACCESS_VIEW_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

DXGI_FORMAT | Format
D3D12_UAV_DIMENSION | ViewDimension
union { |
D3D12_BUFFER_UAV Buffer |
D3D12_TEX1D_UAV Texture1D |
D3D12_TEX1D_ARRAY_UAV Texture1DArray |
D3D12_TEX2D_UAV Texture2D |
D3D12_TEX2D_ARRAY_UAV Texture2DArray |
D3D12_TEX3D_UAV Texture3D |
}; |

## Detailed Description

Definition at line 2488 of file mini_d3d12.h.

## Member Data Documentation

## Format

DXGI_FORMAT D3D12_UNORDERED_ACCESS_VIEW_DESC::Format

Definition at line 2489 of file mini_d3d12.h.

## ViewDimension

D3D12_UAV_DIMENSION D3D12_UNORDERED_ACCESS_VIEW_DESC::ViewDimension

Definition at line 2490 of file mini_d3d12.h.

## Buffer

D3D12_BUFFER_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Buffer

Definition at line 2492 of file mini_d3d12.h.

## Texture1D

D3D12_TEX1D_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Texture1D

Definition at line 2493 of file mini_d3d12.h.

## Texture1DArray

D3D12_TEX1D_ARRAY_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Texture1DArray

Definition at line 2494 of file mini_d3d12.h.

## Texture2D

D3D12_TEX2D_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Texture2D

Definition at line 2495 of file mini_d3d12.h.

## Texture2DArray

D3D12_TEX2D_ARRAY_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Texture2DArray

Definition at line 2496 of file mini_d3d12.h.

## Texture3D

D3D12_TEX3D_UAV D3D12_UNORDERED_ACCESS_VIEW_DESC::Texture3D

Definition at line 2497 of file mini_d3d12.h.

## [union]

union { ... } D3D12_UNORDERED_ACCESS_VIEW_DESC

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h